package com.brmlab.android4;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AbsListView.LayoutParams;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;

public class CustomAdapter extends BaseAdapter {

	private String[] colors = new String[] { "#CCAA00", "#BB00BB", "#FFFFAA",
			"#FF0000", "#00FF00", "#0000FF" };
	private Context context;

	public CustomAdapter(Context ctx) {
		this.context = ctx;
	}

	@Override
	public int getCount() {
		return colors.length;
	}

	@Override
	public Object getItem(int position) {
		// position goes from 0 on...
		return colors[position];
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LinearLayout layout = new LinearLayout(context);
		layout.setLayoutParams(new AbsListView.LayoutParams(
				LayoutParams.MATCH_PARENT, 250));
		layout.setBackgroundColor(Color.parseColor(colors[position]));
		TextView tv = new TextView(context);
		tv.setText(colors[position]);
		tv.setTextSize(23.0f);
		tv.setTextColor(Color.WHITE);
		layout.addView(tv);
		return layout;
	}

}
